ICP / GTM / REST API
Save onboarding context
Validate and deterministically persist a coding-agent-authored onboarding artifact into the GTM context, default ICP, personas, offerings, case studies, and competitors used by Launchpad. Does not invoke Pipeline hosted inference.
POST /api/v1/onboarding/contextDeterministic operationParameters
workspaceIdRequired · string- See the input schema for this field.
artifactRequired · object- See the input schema for this field.
curl -X POST "https://app.pipeline.help/api/v1/onboarding/context" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"workspaceId":"00000000-0000-4000-8000-000000000000","artifact":{"companyName":"example","websiteUrl":"https://example.com","serviceDescription":"example","icpSummary":"example","companyEvidence":{"origin":"public_source","sourceUrls":["https://www.linkedin.com/sales/lists/people/1"]},"icpEvidence":{"origin":"public_source","sourceUrls":["https://www.linkedin.com/sales/lists/people/1"]},"targetTitles":["example"],"targetIndustries":["example"]}}'Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string",
"format": "uuid"
},
"artifact": {
"type": "object",
"properties": {
"companyName": {
"type": "string",
"minLength": 1,
"pattern": ".*\\S.*",
"maxLength": 200
},
"websiteUrl": {
"type": "string",
"format": "uri"
},
"serviceDescription": {
"type": "string",
"minLength": 1,
"pattern": ".*\\S.*",
"maxLength": 20000
},
"icpSummary": {
"type": "string",
"minLength": 1,
"pattern": ".*\\S.*",
"maxLength": 20000
},
"companyEvidence": {
"oneOf": [
{
"type": "object",
"properties": {
"origin": {
"type": "string",
"enum": [
"public_source"
]
},
"sourceUrls": {
"type": "array",
"minItems": 1,
"maxItems": 100,
"items": {
"type": "string",
"format": "uri",
"pattern": "^https?://"
}
}
},
"required": [
"origin",
"sourceUrls"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"origin": {
"type": "string",
"enum": [
"user_supplied"
]
},
"sourceUrls": {
"type": "array",
"maxItems": 100,
"items": {
"type": "string",
"format": "uri",
"pattern": "^https?://"
}
}
},
"required": [
"origin",
"sourceUrls"
],
"additionalProperties": false
}
]
},
"icpEvidence": {
"oneOf": [
{
"type": "object",
"properties": {
"origin": {
"type": "string",
"enum": [
"public_source"
]
},
"sourceUrls": {
"type": "array",
"minItems": 1,
"maxItems": 100,
"items": {
"type": "string",
"format": "uri",
"pattern": "^https?://"
}
}
},
"required": [
"origin",
"sourceUrls"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"origin": {
"type": "string",
"enum": [
"user_supplied"
]
},
"sourceUrls": {
"type": "array",
"maxItems": 100,
"items": {
"type": "string",
"format": "uri",
"pattern": "^https?://"
}
}
},
"required": [
"origin",
"sourceUrls"
],
"additionalProperties": false
}
]
},
"naturalLanguageCriteria": {
"type": "string",
"maxLength": 20000
},
"scoringInstructions": {
"type": "string",
"maxLength": 20000
},
"targetTitles": {
"type": "array",
"maxItems": 100,
"items": {
"type": "string",
"minLength": 1,
"pattern": ".*\\S.*"
}
},
"targetIndustries": {
"type": "array",
"maxItems": 100,
"items": {
"type": "string",
"minLength": 1,
"pattern": ".*\\S.*"
}
},
"personas": {
"type": "array",
"maxItems": 10,
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"minLength": 1,
"pattern": ".*\\S.*",
"maxLength": 200
},
"title": {
"type": "string",
"maxLength": 200
},
"description": {
"type": "string",
"maxLength": 10000
},
"painPoints": {
"type": "array",
"maxItems": 50,
"items": {
"type": "string",
"minLength": 1,
"pattern": ".*\\S.*"
}
},
"goals": {
"type": "array",
"maxItems": 50,
"items": {
"type": "string",
"minLength": 1,
"pattern": ".*\\S.*"
}
},
"buyingTriggers": {
"type": "array",
"maxItems": 50,
"items": {
"type": "string",
"minLength": 1,
"pattern": ".*\\S.*"
}
},
"objections": {
"type": "array",
"maxItems": 50,
"items": {
"type": "string",
"minLength": 1,
"pattern": ".*\\S.*"
}
},
"avoidTopics": {
"type": "array",
"maxItems": 50,
"items": {
"type": "string",
"minLength": 1,
"pattern": ".*\\S.*"
}
},
"evidence": {
"oneOf": [
{
"type": "object",
"properties": {
"origin": {
"type": "string",
"enum": [
"public_source"
]
},
"sourceUrls": {
"type": "array",
"minItems": 1,
"maxItems": 100,
"items": {
"type": "string",
"format": "uri",
"pattern": "^https?://"
}
}
},
"required": [
"origin",
"sourceUrls"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"origin": {
"type": "string",
"enum": [
"user_supplied"
]
},
"sourceUrls": {
"type": "array",
"maxItems": 100,
"items": {
"type": "string",
"format": "uri",
"pattern": "^https?://"
}
}
},
"required": [
"origin",
"sourceUrls"
],
"additionalProperties": false
}
]
}
},
"required": [
"name",
"evidence"
],
"additionalProperties": false
}
},
"offerings": {
"type": "array",
"maxItems": 20,
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"minLength": 1,
"pattern": ".*\\S.*",
"maxLength": 200
},
"type": {
"type": "string",
"enum": [
"product",
"service",
"hybrid"
]
},
"description": {
"type": "string",
"maxLength": 10000
},
"valueProposition": {
"type": "string",
"maxLength": 10000
},
"keyFeatures": {
"type": "array",
"maxItems": 50,
"items": {
"type": "string",
"minLength": 1,
"pattern": ".*\\S.*"
}
},
"idealFor": {
"type": "string",
"maxLength": 5000
},
"pricingContext": {
"type": "string",
"maxLength": 5000
},
"differentiators": {
"type": "array",
"maxItems": 50,
"items": {
"type": "string",
"minLength": 1,
"pattern": ".*\\S.*"
}
},
"evidence": {
"oneOf": [
{
"type": "object",
"properties": {
"origin": {
"type": "string",
"enum": [
"public_source"
]
},
"sourceUrls": {
"type": "array",
"minItems": 1,
"maxItems": 100,
"items": {
"type": "string",
"format": "uri",
"pattern": "^https?://"
}
}
},
"required": [
"origin",
"sourceUrls"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"origin": {
"type": "string",
"enum": [
"user_supplied"
]
},
"sourceUrls": {
"type": "array",
"maxItems": 100,
"items": {
"type": "string",
"format": "uri",
"pattern": "^https?://"
}
}
},
"required": [
"origin",
"sourceUrls"
],
"additionalProperties": false
}
]
}
},
"required": [
"name",
"type",
"evidence"
],
"additionalProperties": false
}
},
"caseStudies": {
"type": "array",
"maxItems": 20,
"items": {
"type": "object",
"properties": {
"title": {
"type": "string",
"minLength": 1,
"pattern": ".*\\S.*",
"maxLength": 500
},
"customerName": {
"type": "string",
"minLength": 1,
"pattern": ".*\\S.*",
"maxLength": 200
},
"summary": {
"type": "string",
"minLength": 1,
"pattern": ".*\\S.*",
"maxLength": 20000
},
"customerDomain": {
"type": "string",
"maxLength": 500
},
"industry": {
"type": "string",
"maxLength": 500
},
"metrics": {
"type": "string",
"maxLength": 5000
},
"evidence": {
"oneOf": [
{
"type": "object",
"properties": {
"origin": {
"type": "string",
"enum": [
"public_source"
]
},
"sourceUrls": {
"type": "array",
"minItems": 1,
"maxItems": 100,
"items": {
"type": "string",
"format": "uri",
"pattern": "^https?://"
}
}
},
"required": [
"origin",
"sourceUrls"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"origin": {
"type": "string",
"enum": [
"user_supplied"
]
},
"sourceUrls": {
"type": "array",
"maxItems": 100,
"items": {
"type": "string",
"format": "uri",
"pattern": "^https?://"
}
}
},
"required": [
"origin",
"sourceUrls"
],
"additionalProperties": false
}
]
}
},
"required": [
"title",
"customerName",
"summary",
"evidence"
],
"additionalProperties": false
}
},
"competitors": {
"type": "array",
"maxItems": 50,
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"minLength": 1,
"pattern": ".*\\S.*",
"maxLength": 200
},
"domain": {
"type": "string",
"maxLength": 500
},
"reason": {
"type": "string",
"maxLength": 5000
},
"evidence": {
"oneOf": [
{
"type": "object",
"properties": {
"origin": {
"type": "string",
"enum": [
"public_source"
]
},
"sourceUrls": {
"type": "array",
"minItems": 1,
"maxItems": 100,
"items": {
"type": "string",
"format": "uri",
"pattern": "^https?://"
}
}
},
"required": [
"origin",
"sourceUrls"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"origin": {
"type": "string",
"enum": [
"user_supplied"
]
},
"sourceUrls": {
"type": "array",
"maxItems": 100,
"items": {
"type": "string",
"format": "uri",
"pattern": "^https?://"
}
}
},
"required": [
"origin",
"sourceUrls"
],
"additionalProperties": false
}
]
}
},
"required": [
"name",
"evidence"
],
"additionalProperties": false
}
}
},
"required": [
"companyName",
"websiteUrl",
"serviceDescription",
"icpSummary",
"companyEvidence",
"icpEvidence",
"targetTitles",
"targetIndustries"
],
"additionalProperties": false
}
},
"required": [
"workspaceId",
"artifact"
],
"additionalProperties": false
}